Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class NamedTripleBunches

    java.lang.Object
      com.hp.hpl.jena.graph.query.NamedTripleBunches

    public class NamedTripleBunches

extends java.lang.Object

A NamedTripleBunches maps a [graph] name to a bunch of triples associated with that name.

Author:
  hedgehog

Field Summary
`static java.lang.String` | `anon` A more-or-less internal object for referring to the "default" graph in a query.

Constructor Summary
`NamedTripleBunches()` Initialise an empty set of named bunches.

Method Summary
`void` | `add(java.lang.String name, Triple pattern)` Associate another triple with the given name.
`java.util.Iterator` | `entrySetIterator()` Answer an iterator over the entry set of the associated map: this will be cleaned up as we refactor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### anon

    public static final java.lang.String anon

  A more-or-less internal object for referring to the "default" graph in a query.

  See Also:
    Constant Field Values

Constructor Detail

### NamedTripleBunches

    public NamedTripleBunches()

  Initialise an empty set of named bunches.

Method Detail

### add

    public void add(java.lang.String name,
                    Triple pattern)

  Associate another triple with the given name.

  Parameters:
    `name` - the [graph] name for the buinch to add this triple to
    `pattern` - the triple to add to the bunch

### entrySetIterator

    public java.util.Iterator entrySetIterator()

  Answer an iterator over the entry set of the associated map: this will be cleaned up as we refactor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP